Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/departments/{id}/parent \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/departments/{id}/parent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/departments/{id}/parent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "department",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair",
"is_root": true
},
"relationships": {
"parent": {
"links": {
"related": "<string>"
},
"meta": {}
},
"children": {
"links": {
"related": "<string>"
},
"meta": {}
},
"department_chairs": {
"links": {
"related": "<string>"
},
"meta": {}
}
},
"meta": {
"children_count": 123,
"depth": 123,
"root": true
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/departments/{id}/parent \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/departments/{id}/parent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/departments/{id}/parent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "department",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair",
"is_root": true
},
"relationships": {
"parent": {
"links": {
"related": "<string>"
},
"meta": {}
},
"children": {
"links": {
"related": "<string>"
},
"meta": {}
},
"department_chairs": {
"links": {
"related": "<string>"
},
"meta": {}
}
},
"meta": {
"children_count": 123,
"depth": 123,
"root": true
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Comma-separated list of relationships to include. Allowed: parent, children, department_chairs
parent found
Show child attributes